Clear a manual WCAG review state
DELETE
/v1/sites/{id}/a11y-manual-checks/{sc}
const url = 'https://api.overwatch.weareheavy.dev/v1/sites/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/a11y-manual-checks/example';const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.overwatch.weareheavy.dev/v1/sites/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/a11y-manual-checks/example \ --header 'x-api-key: <x-api-key>'Clear a criterion’s manual state — it reverts to “needs review”.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”id
required
string format: uuid
The site’s UUID.
sc
required
string
The WCAG success criterion, e.g. 2.1.4.
Responses
Section titled “ Responses ”The state was cleared.
Media typeapplication/json
object
deleted
required
boolean
Example
{ "deleted": true}Missing or invalid credentials.
Media typeapplication/json
object
error
required
A human-readable error message.
string
Example
{ "error": "invalid api key"}The site or manual check was not found.
Media typeapplication/json
object
error
required
A human-readable error message.
string
Example
{ "error": "manual check not found"}